Bug 192698 - CVE-2006-2480 Dia format string issue (CVE-2006-2453)
CVE-2006-2480 Dia format string issue (CVE-2006-2453)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dia (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
source=vendor-sec,impact=moderate,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 14:03 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0541
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-05 11:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which fixes additional format string issues (8.97 KB, patch)
2006-05-23 07:44 EDT, Josh Bressers
no flags Details | Diff
A few more format string issues fixed. (554 bytes, patch)
2006-05-23 12:56 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-05-22 14:03:53 EDT
Dia format string issue

Dia has a format string vulnerability in the way it displays error
messages.  It is possible for a user to create a maliciou dia file
which could

http://marc.theaimsgroup.com/?l=vuln-dev&m=114713874920770&w=2

Thre is a fix in the upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=342111
Comment 3 Josh Bressers 2006-05-23 07:44:51 EDT
Created attachment 129852 [details]
Patch which fixes additional format string issues
Comment 5 Josh Bressers 2006-05-23 07:54:53 EDT
The above patch fixes a number of additional format string issues discovered by
Hans de Goede and has been assigned the CVE id CVE-2006-2453
Comment 6 Josh Bressers 2006-05-23 12:56:21 EDT
Created attachment 129875 [details]
A few more format string issues fixed.
Comment 7 Caolan McNamara 2006-05-23 16:50:32 EDT
oky doky, added. Built into 4E-errata, and 
mkerrata-wrapper dist-4E-errata-candidate dia-0.94-5.7.1 has been run.
Comment 11 Red Hat Bugzilla 2006-06-05 11:07:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0541.html

Note You need to log in before you can comment on or make changes to this bug.